Subject: Re: bug#48841: fido-mode is slower than ido-mode with similar settings

From: Dmitry Gutov <[email-masked]>
Date: Sun, 6 Jun 2021 02:02:24 +0300

On 05.06.2021 12:35, João Távora wrote:
> Thanks for the report.  Before I try reproducing, can you try with
> fido-vertical-mode and tell us it if that changes anything?  I think I
> remember that skipping some suffix-calculation logic saved on a few
> traversals of the big list of symbol completions.

Why, yes it is. fido-vertical-mode is definitely snappier with such 
settings.

Maybe still not on the level of ido-mode, but at least halfway there, 
compared to the "horizontal" version.